<?php
namespace App;
/**
 * WPImporter - Main Class
 * 
 * 
 * 
 * @copyright 2018 SCHLIX Web Inc
 *
 * @license GNU GPLv3
 *
 * @package wpimporter
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class WPImporter extends \SCHLIX\cmsApplication_Basic {


    /**
     * Constructor
     */
    public function __construct() {
        parent::__construct("WPImporter");
        /*
         * You can modify this 
        $this->has_versioning = false; // uncomment if this app wants versioning enabled
        $this->disable_frontend_runtime = false; //  Uncomment if this is a backend only app
         */
    }

    /**
     * View Main Page
     */
    public function viewMainPage() {
        $this->loadTemplateFile('view.main', null);
    }
            
    /**
     * Test Command, can be triggered from URL /plugin_short_name/action/test
     */
    public function testCommand()
    {
        echo 'Hello World';
    }
    
    //_______________________________________________________________________________________________________________//
    public function Run($command) {
        switch ($command['action']) {
            case 'test' : $this->testCommand();
                return RETURN_FULLPAGE;
                break;
            default: return parent::Run($command);
        }
        return true;
    }

}